IMG_LoadANIAnimation_IO(3)

NAME
IMG_LoadANIAnimation_IO - Load an ANI animation directly from an SDL_IOStream.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_Animation* IMG_LoadANIAnimation_IO(SDL_IOStream *src);

DESCRIPTION
If you know you definitely have an ANI image, you can call this function, which will skip SDL_image's file format detection routines. Generally, it's better to use the abstract interfaces; also, there is only an SDL_IOStream interface available here.

When done with the returned animation, the app should dispose of it with a call to IMG_FreeAnimation().

FUNCTION PARAMETERS

src an SDL_IOStream from which data will be read.

RETURN VALUE
Returns a new IMG_Animation, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_isANI(3), IMG_LoadAnimation(3), IMG_LoadAnimation_IO(3), IMG_LoadAnimationTyped_IO(3), IMG_LoadAPNGAnimation_IO(3), IMG_LoadAVIFAnimation_IO(3), IMG_LoadGIFAnimation_IO(3), IMG_LoadWEBPAnimation_IO(3), IMG_FreeAnimation(3)